DNF5-MODULE(8)

NAME
dnf5-module - Module Command

SYNOPSIS

dnf5 module <subcommand> [options] [<module-spec>...]

DESCRIPTION

Modularity is an alternative way of building, organizing and delivering packages.

Currently, only basic support is available for managing the modules, as they are no longer supported in mainstream RPM distributions.

For more details see: <https://docs.pagure.org/modularity/>.

SUBCOMMANDS

    list
        List module streams. --enabled and --disabled options narrow down the requested list.

    info
        Print details about module streams.

    enable
        Enable module streams and make their packages available.

    disable
        Disable modules including all their streams.

    reset
        Reset module state so it's no longer enabled or disabled.

OPTIONS FOR LIST AND INFO

    --enabled
        Show only enabled modules.

    --disabled
        Show only disabled modules.

OPTIONS FOR ENABLE, DISABLE, RESET

    --skip-broken
        Resolve any dependency problems by removing items that are causing problems from the transaction.
        Used with enable command.

    --skip-unavailable
        Allow skipping modules that are not available in repositories.
        All remaining items will be processed.

EXAMPLES

    dnf5 module list
        List all module streams available for your system.

    dnf5 module enable nodejs:8
        Make packages from the Node.js 8 stream available for installation.

SEE ALSO
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.